version: '3'

services:
  postgres:  
    image: postgres:14
    container_name: 'keycloak-postgers'
    volumes:
      - postgres-keycloack-data:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: keycloak
      POSTGRES_USER: keycloak
      POSTGRES_PASSWORD: password
    networks:
      - keycloak
  keycloak:
    # restart: always
    image: jboss/keycloak:11.0.1
    container_name: 'fantastic-keycloak'
    hostname: 'fantastic-keycloak'
    environment:
      DB_VENDOR: POSTGRES
      DB_ADDR: postgres
      DB_DATABASE: keycloak
      DB_USER: keycloak
      DB_SCHEMA: public
      DB_PASSWORD: password
      KEYCLOAK_USER: admin
      KEYCLOAK_PASSWORD: admin
      # Uncomment the line below if you want to specify JDBC parameters. The parameter below is just an example, and it shouldn't be used in production without knowledge. It is highly recommended that you read the PostgreSQL JDBC driver documentation in order to use it.
      # JDBC_PARAMS: "ssl=true"
    ports:
      - 8080:8443
      - 466:465
    volumes:
      - ./ssl:/etc/x509/https
      # - ./app/ssl/tsl.crt:/etc/x509/https/tsl.crt
      # - ./app/ssl/tsl.key:/etc/x509/https/tsl.key
    depends_on:
      - postgres
    networks:
      - keycloak

networks:
  keycloak:

volumes:
  postgres-keycloack-data:
    driver: local
